# Run tests in check section
%bcond_with check

# https://github.com/gopherjs/gopherjs
%global goipath         github.com/gopherjs/gopherjs
%global commit          1babbf986f6fcb1156d0646cdba5c4f81bc32849

%global common_description %{expand:
GopherJS compiles Go code (golang.org) to pure JavaScript code. Its main 
purpose is to give you the opportunity to write front-end code in Go 
which will still run in all browsers.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.2%{?dist}
Summary:        Compiler from Go to JavaScript for running Go code in a browser 
Group:          Development/Other
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/fsnotify/fsnotify)
BuildRequires: golang(github.com/neelance/astrewrite)
BuildRequires: golang(github.com/neelance/sourcemap)
BuildRequires: golang(github.com/shurcooL/httpfs/filter)
BuildRequires: golang(github.com/shurcooL/httpfs/vfsutil)
BuildRequires: golang(golang.org/x/sys/unix)
BuildRequires: golang(golang.org/x/tools/go/buildutil)
BuildRequires: golang(golang.org/x/tools/go/gcexportdata)
BuildRequires: golang(golang.org/x/tools/go/types/typeutil)

%if %{with check}
BuildRequires: golang(github.com/kisielk/gotool)
BuildRequires: golang(github.com/shurcooL/go/importgraphutil)
%endif

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck -d build -d tests
%endif

%global golicenses LICENSE
%global godocs README.md
%gopkgfiles



%changelog
* Thu Sep 17 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1628281
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1335377
- imported package golang-github-gopherjs

